/**
 * Copyright 2008 Bluestem Software LLC.  All Rights Reserved.
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */

package org.bluestemsoftware.open.eoa.plugin.resources;

import java.io.File;
import java.util.List;

import org.apache.maven.plugin.MojoExecutionException;

/**
 * Copies test resources to output directory.
 * 
 * @goal testResources
 * @phase process-test-resources
 * 
 */
public class TestResourcesMojo extends AbstractResourcesMojo {
    
    /**
     * Test resources output directory.
     *
     * @parameter expression="${project.build.testOutputDirectory}"
     * @required
     */
    private File outputDirectory;

    /**
     * Test resources.
     *
     * @parameter expression="${project.testResources}"
     * @required
     */
    private List<?> resources;

    public void execute() throws MojoExecutionException {
        copyResources(resources, outputDirectory);
    }
    
}
